> ## Documentation Index
> Fetch the complete documentation index at: https://developers.confiopagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel subscription

> Cancel a subscription. This will immediately stop billing and mark the subscription as canceled.



## OpenAPI

````yaml post /v1/stores/{store}/subscription-plans/{plan}/subscriptions/{subscription}/cancel
openapi: 3.1.0
info:
  version: 1.0.0
  title: Confío public api
servers:
  - description: Production
    url: https://api.confiopagos.com
  - description: Development
    url: https://api.dev.confiopagos.com
security:
  - bearerAuth: []
paths:
  /v1/stores/{store}/subscription-plans/{plan}/subscriptions/{subscription}/cancel:
    post:
      summary: Cancel subscription
      description: >-
        Cancel a subscription. This will immediately stop billing and mark the
        subscription as canceled.
      parameters:
        - schema:
            type: string
            example: 01G65Z755AFWAKHE12NY0CQ9FH
          required: true
          name: store
          in: path
        - schema:
            type: string
            example: 01JNRVWWHH68E76V3TMFFT6GHJ
          required: true
          name: plan
          in: path
        - schema:
            type: string
            example: 01JNRVWWHH68E76V3TMFFT6GHJ
          required: true
          name: subscription
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CancelSubscriptionRequest'
      responses:
        '200':
          description: Successfully canceled subscription.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancelSubscriptionResponse'
components:
  schemas:
    CancelSubscriptionRequest:
      type: object
      properties:
        reason:
          type: string
          description: Reason for cancellation
          example: Customer requested cancellation
      required:
        - reason
    CancelSubscriptionResponse:
      type: object
      properties: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````